=== plugin-model/CMakeLists.txt ===
add_subdirectory(fydn)
