=== debian/changelog ===
uos-ai (1.3.0-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 13 Jun 2024 20:42:54 +0800

uos-ai (1.2.6) unstable; urgency=medium

  * update uos ai baseline version to V1.2.6

 -- zhangyu <zhangyub@uniontech.com>  Fri, 26 Apr 2024 13:26:24 +0800
 

uos-ai (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 12 Jul 2023 17:38:35 +0800
