## uos-ai 2.7.515

=== CMakeLists.txt ===
--- 
+++ 
@@ -166,3 +166,7 @@
 add_subdirectory(plugin-model)
 add_subdirectory(plugin-fcitx)
 add_subdirectory(plugin-settings)
+
+# 安装帮助文档
+install(DIRECTORY ${PROJECT_SOURCE_DIR}/docs/uos-ai-assistant
+    DESTINATION share/deepin-manual/manual-assets/application)
