=== debian/changelog ===
uos-ai (2.7.515-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Tue, 24 Jun 2025 10:41:39 +0800

uos-ai (1.3.5) unstable; urgency=medium

  * update uos ai baseline version to V1.3.5

 -- zhangyu <zhangyub@uniontech.com>  Wed, 7 Aug 2024 21:16:34 +0800
