=== debian/control ===
Source: uos-ai
Section: non-free/copilot
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 9),
 cmake,
 pkg-config,
 libatspi2.0-dev,
 libdocparser-dev,
 libjwt-dev,
 libssl-dev,
 fcitx-libs-dev | hello,
 qtbase5-dev,
 qttools5-dev-tools,
 qtwebengine5-dev,
 qtmultimedia5-dev,
 libqt5websockets5-dev,
 libdtkwidget-dev,
 dde-dock-dev,
 libqt5waylandclient5-dev | hello,
 libkf5wayland-dev | hello,   
 libfcitx5core-dev | hello,
 libfcitx5utils-dev | hello,
 fcitx5-modules-dev | hello,
 qt6-base-dev | hello,
 qt6-webengine-dev | hello,
 qt6-websockets-dev | hello,
 qt6-svg-dev | hello,
 qt6-multimedia-dev | hello,
 qt6-declarative-dev | hello,
 qt6-tools-dev | hello,
 qt6-wayland-dev | hello,
 qt6-base-private-dev | hello,
 qt6-wayland-private-dev | hello,
 libdtk6widget-dev (>= 6.0.24) | hello,
 libdtk6declarative-dev (>= 6.0.19) | hello,
 libdde-shell-dev (>= 0.0.10) | hello,
 treeland-protocols (>= 0.4.4) | hello,
 wlr-protocols | hello,
 wayland-protocols | hello

Standards-Version: 4.5.0
Package: uos-ai
Architecture: any
Depends:
 ${shlibs:Depends},${misc:Depends},libqt6webenginecore6-bin
Description: As a useful and efficient assistant, an AI-powered assistant simplifies our office efficiency and provides valuable support in a wide range of domains.
