=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export QT_SELECT := 5

override_dh_auto_configure:
	dh_auto_configure -- -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DBUILD_OS_VERSION=$(BUILD_OS_VERSION) -DENABLE_MODEL_FYDN=${ENABLE_MODEL_FYDN}

%:
	dh $@ --parallel
