## uos-ai 2.8.501

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,7 @@
 option(ENABLE_MODEL_ZTBBD "Enable ZTBBD Plugin" OFF)
 option(ENABLE_MODEL_XXZSK "Enable XXZSK Plugin" OFF)
 option(ENABLE_MODEL_YZSBS "Enable YZSBS Plugin" OFF)
+option(ENABLE_MODEL_TZDL "Enable TZDL Plugin" OFF)
 
 # 系统判断
 if (${BUILD_OS_VERSION} MATCHES "25")
@@ -134,7 +135,7 @@
     set(DTK_VERSION_MAJOR "")
 endif()
 
-if (ENABLE_MODEL_FYDN OR ENABLE_MODEL_PPT OR ENABLE_MODEL_POSTER OR ENABLE_MODEL_RPA OR ENABLE_MODEL_ZTBBD OR ENABLE_MODEL_XXZSK OR ENABLE_MODEL_YZSBS)
+if (ENABLE_MODEL_FYDN OR ENABLE_MODEL_PPT OR ENABLE_MODEL_POSTER OR ENABLE_MODEL_RPA OR ENABLE_MODEL_ZTBBD OR ENABLE_MODEL_XXZSK OR ENABLE_MODEL_YZSBS OR ENABLE_MODEL_TZDL)
     set(ENABLE_MODEL_PLUGINS ON)
 endif()
