=== plugin-model/yzsbs/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
 )
 
-set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/assets/")
+set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/${PROJECT_NAME}/assets/")
 if (CMAKE_BUILD_TYPE MATCHES Debug)
     add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
 else()
