=== debian/changelog ===
uos-ai (2.8.501) unstable; urgency=medium

  * update uos ai baseline version to V1.3.5

 -- zhangyu <zhangyub@uniontech.com>  Wed, 7 Aug 2024 21:16:34 +0800
