=== debian/control ===
--- 
+++ 
@@ -46,3 +46,13 @@
 Depends:
  ${shlibs:Depends},${misc:Depends},libqt6webenginecore6-bin
 Description: As a useful and efficient assistant, an AI-powered assistant simplifies our office efficiency and provides valuable support in a wide range of domains.
+
+Package: uos-ai-model-plugin
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ uos-ai
+Description: Model plugins for UOS AI assistant
+ This package contains various model plugins for UOS AI assistant,
+ including different AI model implementations and configurations.
